Developers

Create user

POST
/user/users

Create user

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Query Parameters

exists[ssoProvider]?boolean

User exists[ssoProvider]

ssoProviderIds?array<>

User ssoProviderIds

Request Body

The new User resource

  1. body
email*string
Formatemail
Lengthlength <= 100
firstName?|
Lengthlength <= 50
lastName?|
Lengthlength <= 50
canLogIn?boolean
Defaultfalse
allowApiTokenAuthentication?boolean
Defaulttrue
phoneNumber?|
FormatphoneNumber
Lengthlength <= 20
jobPosition?|
Formatuuid
departments*array<>
roleSets?array<>|null
hourlyRate?number
Formatfloat
Default0

Response Body

User resource created

  1. response
status?string
Lengthlength <= 50
Value in"active""profile-pending""profile-password-pending""inactive"
createdAt?string
Formatdate-time
updatedAt?|
Formatdate-time
createdBy?|
Formatuuid
contactInfo?array<>|null
canChangeEmail?boolean
hourlyRate?float|null
decorator?string
Lengthlength <= 20
roleSets?array<>
tasksPerWorkDay?integer|null
id?string
firstName?string|null
lastName?string|null
email?string|null
jobPosition?string|null
jobPositionName?string|null
contractorName?string|null
contractorId?string|null
pictureSm?string|null
pictureLg?string|null
phoneNumber?string|null
canLogIn?boolean
allowApiTokenAuthentication?boolean
isExternal?boolean
canManage?boolean
isUsingMobile?boolean
lastActivity?|
Formatdate-time
lastActivityMobile?|
Formatdate-time
shortCode?string
hoursPerWorkDay?integer|null
userDepartments?array<>
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/user/users' \  -H 'Content-Type: application/json' \  -d '{  "email": "user@example.com",  "departments": [    "600b44dd-48ce-4114-81e6-8fff7070c041"  ]}'
Example Response
{  "status": "active",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",  "contactInfo": [    {      "type": "string",      "value": "string",      "isDefault": true    }  ],  "canChangeEmail": true,  "hourlyRate": null,  "decorator": "string",  "roleSets": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "name": "string",      "roles": [        "Check allowed_roles.yaml"      ]    }  ],  "tasksPerWorkDay": 0,  "id": "string",  "firstName": "string",  "lastName": "string",  "email": "string",  "jobPosition": "string",  "jobPositionName": "string",  "contractorName": "string",  "contractorId": "string",  "pictureSm": "string",  "pictureLg": "string",  "phoneNumber": "string",  "canLogIn": true,  "allowApiTokenAuthentication": true,  "isExternal": true,  "canManage": true,  "isUsingMobile": true,  "lastActivity": "string",  "lastActivityMobile": "string",  "shortCode": "string",  "hoursPerWorkDay": 0,  "userDepartments": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "isLeader": true,      "department": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      }    }  ]}